Debian Bug report logs - #309150
cron: Add CHARSET special variable

version graph

Package: cron; Maintainer for cron is Javier Fernández-Sanguino Peña <jfs@debian.org>; Source for cron is src:cron.

Reported by: Mark Sheppard <mark@ddf.net>

Date: Sat, 14 May 2005 22:33:10 UTC

Severity: wishlist

Tags: patch

Found in version 3.0pl1-86

Fixed in version cron/3.0pl1-101

Done: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Steve Greenland <stevegr@debian.org>:
Bug#309150; Package cron. Full text and rfc822 format available.

Acknowledgement sent to Mark Sheppard <mark@ddf.net>:
New Bug report received and forwarded. Copy sent to Steve Greenland <stevegr@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Sheppard <mark@ddf.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cron: Add CHARSET special variable
Date: Sat, 14 May 2005 23:18:57 +0100
Package: cron
Version: 3.0pl1-86
Severity: wishlist

It would be good to be able to be able to set a CHARSET variable in
your crontab which cron would then pickup and add to the headers in
the emails it sends.  For example with a CHARSET of "iso-8859-1" cron
should add these headers:

  Mime-Version: 1.0
  Content-Type: text/plain; charset=iso-8859-1

Also the Subject should be encoded if necessary, for example:

  Subject: Cron <mark@mark> echo =?iso-8859-1?Q?=A35?=

Cheers,
Mark.

-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.4.27-1-686-smp
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages cron depends on:
ii  adduser                     3.63         Add and remove users and groups
ii  debianutils                 2.8.4        Miscellaneous utilities specific t
ii  libc6                       2.3.2.ds1-21 GNU C Library: Shared libraries an
ii  libpam0g                    0.76-22      Pluggable Authentication Modules l

-- no debconf information



Reply sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mark Sheppard <mark@ddf.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 309150-close@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
To: 309150-close@bugs.debian.org
Subject: Bug#309150: fixed in cron 3.0pl1-95
Date: Fri, 21 Jul 2006 08:47:06 -0700
Source: cron
Source-Version: 3.0pl1-95

We believe that the bug you reported is fixed in the latest version of
cron, which is due to be installed in the Debian FTP archive:

cron_3.0pl1-95.diff.gz
  to pool/main/c/cron/cron_3.0pl1-95.diff.gz
cron_3.0pl1-95.dsc
  to pool/main/c/cron/cron_3.0pl1-95.dsc
cron_3.0pl1-95_i386.deb
  to pool/main/c/cron/cron_3.0pl1-95_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 309150@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javier Fernandez-Sanguino Pen~a <jfs@computer.org> (supplier of updated cron package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Jul 2006 21:31:13 +0200
Source: cron
Binary: cron
Architecture: source i386
Version: 3.0pl1-95
Distribution: unstable
Urgency: low
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Changed-By: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Description: 
 cron       - management of regular background processing
Closes: 271747 309150 318247 338051 361458 369153 378153
Changes: 
 cron (3.0pl1-95) unstable; urgency=low
 .
   * Handle errors when reading crontabs so that it stops reading entries in
     a crontab file after a syntax error. This prevents a rogue user from
     dumping binary files in /etc/cron.d/ or /var/spool/cron/crontabs/
     and have them executed by cron (but binary files under
     /etc/cron.{daily,weekly,monthly} will still be processed as they are
     handled by run-parts. Thanks to Faidon Liambotis for the patch.
     (Closes: #378153)
   * Reuse vixie-cron-4.1-_51-bz180145-mail_i18n.patch from Fedora Core in
     order to setup a proper Content-Type when sending e-mails. The
     Content-Type will be set to the default system locale or cron's
     environment (if it modifies it). If the locale is undefined it will
     default to US ASCII (Closes: #338051)
     - There is no need to define a CHARSET variable now with the above
     patch (Closes: #309150)
   * Support kfreebsd-amd64 by modifying the Build-Depends for SElinux
     (Closes: #361458)
   * Fix typos in the crontab.1 manpage spotted by Jonas Koelker
     (Closes: #369153)
   * Add option to control logging (-L) with patch provided by Steve Fosdick.
     This makes it possible to log cron job finishing if you use -L 2
     (Closes: #271747, #318247)
   * Change Steve's email in crontab.c error message to
     cron@packages.debian.org
Files: 
 0bcbc52f9a8818e3019a53f09a302407 801 admin important cron_3.0pl1-95.dsc
 0d47acbe58bb29ca3da616a756773df9 51757 admin important cron_3.0pl1-95.diff.gz
 290bb373b958c4e56a867fbfb1d434e2 63182 admin important cron_3.0pl1-95_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iQCVAwUBRMD0n/tEPvakNq0lAQKYmgP/Z7r6wHOnUAgD93AeP/4IzF02Y3m6SITE
cZpC9QXrZ83jIHiE+3jFL8DTbRCf3DaNBHCaQVZszd0yhLcUUSVHAyEe21mzixYR
iy+AilyVlJtbfGkfRh+jOdHdqBsZc3xFlcHWfuPtISzQlrU4NOI9i+ZicU4/dnwB
4I6ophf6j4Y=
=Qojs
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Javier Fernandez-Sanguino Pen~a <jfs@computer.org>:
Bug#309150; Package cron. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@aybabtu.com>:
Extra info received and forwarded to list. Copy sent to Javier Fernandez-Sanguino Pen~a <jfs@computer.org>. Full text and rfc822 format available.

Message #15 received at 309150@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@aybabtu.com>
To: 309150@bugs.debian.org
Subject: reopen (needs fix in init.d script)
Date: Sun, 3 Sep 2006 13:40:46 +0200
[Message part 1 (text/plain, inline)]
reopen 309150
tags 309150 patch
thanks

Hi!

The fix for #309150 wasn't complete.  Since cron is (normaly) spawned by init,
it doesn't get the LANG variable like when spawned manualy from the shell.  As
a consequence, it'll always detect "C" as the system locale.

See attached patch to fix this by importing /etc/default/locale in the init.d
script.

-- 
Robert Millan

My spam trap is honeypot@aybabtu.com.  Note: this address is only intended for
spam harvesters.  Writing to it will get you added to my black list.
[import_lang.diff (text/plain, attachment)]

Bug reopened, originator not changed. Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: patch Request was from Robert Millan <rmh@aybabtu.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Javier Fernandez-Sanguino Pen~a <jfs@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mark Sheppard <mark@ddf.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 309150-close@bugs.debian.org (full text, mbox):

From: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
To: 309150-close@bugs.debian.org
Subject: Bug#309150: fixed in cron 3.0pl1-101
Date: Wed, 09 Jan 2008 00:32:04 +0000
Source: cron
Source-Version: 3.0pl1-101

We believe that the bug you reported is fixed in the latest version of
cron, which is due to be installed in the Debian FTP archive:

cron_3.0pl1-101.diff.gz
  to pool/main/c/cron/cron_3.0pl1-101.diff.gz
cron_3.0pl1-101.dsc
  to pool/main/c/cron/cron_3.0pl1-101.dsc
cron_3.0pl1-101_i386.deb
  to pool/main/c/cron/cron_3.0pl1-101_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 309150@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Javier Fernandez-Sanguino Pen~a <jfs@debian.org> (supplier of updated cron package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 08 Jan 2008 22:13:35 +0100
Source: cron
Binary: cron
Architecture: source i386
Version: 3.0pl1-101
Distribution: unstable
Urgency: low
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>
Changed-By: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Description: 
 cron       - management of regular background processing
Closes: 117758 289636 309150 324103 391350 396928 405335 410057 414048 415302 422785 459489
Changes: 
 cron (3.0pl1-101) unstable; urgency=low
 .
   * Init.d changes:
     - Add LSB dependencies on mounted /usr (Closes: #459489)
     - Remove 0 and 6 from Default-Stop LSB definition in the init script
       as sendsigs take care of stopping cron" debian/cron.init. Also
       change the postinst call to update-rc.d so no stop symlinks
       are added in those runlevels (Closes: #422785)
       [ Notice that the existing symlinks are not removed when upgrading
         it is up to the administrator to remove this himself so as to not
         break local changes ]
     - Parse system's locale to set the charset used to email cron tasks. This
       will affect tasks that expect a 'C' locale (for example to parse
       messages) and are running in systems with a non-C locale.
       (Closes: #410057, #405335, #309150)
     - Add support for /etc/default/cron and make it possible to add additional
       options and control if environment is parsed. (Closes: #396928)
   * cron.c:
     - Do not use ANSI_x3.4-1968 but US-ASCII instead since it is the preferred
       MIME name as per http://www.iana.org/assignments/character-sets"
       (Closes: #415302)
   * crontab.c:
     - Add an option to ask for confirmation when a crontab is to be removed,
       based on Fedora's patch for this same request. Users wanting this
       behaviour have to alias cron (just as rm is aliased to 'cron -i')
       (Closes: #117758, #289636, #324103, #414048)
     - Print the location of CRONDIR when printing files on the crontab dir so
       that the error messages have the absolute location of the files they
       refer to. (Closes: #391350)
   * Lintian fixes:
      - Modify debian/copyright to point to the location of the Artistic
        License.
Files: 
 d7030526c671ce9cad3dd9c29d393080 685 admin important cron_3.0pl1-101.dsc
 a7624093f8410e827894784dd4838235 69251 admin important cron_3.0pl1-101.diff.gz
 6651c06823fc9ebde84582ae68c6b193 79772 admin important cron_3.0pl1-101_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHhBRDsandgtyBSwkRAmhxAJ95ONf4NY0sSDBjg/GypBGZFt7GeQCfbEAq
Muh3eXfyoobZLiuFhs2cBFI=
=0QW/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Feb 2008 07:29:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:18:04 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.